pro Geometry_OPENER

; uncomment this line to set default data directory
;path='/home/marco/PFS_PSA_OFFICIAL_ARCHIVE/MEX-M-PFS-2-EDR-EXT3-V1.0'

loadct,39

DEVICE, GET_DECOMPOSED=decomposed_state
     TVLCT, R1, G1, B1, /GET

DEVICE, DECOMPOSED=0

loadct,39

q=routine_info(/source,functions=keyword_set(functions))
home = file_dirname(q(where(q.name eq 'GEOMETRY_OPENER')).path)



IF KEYWORD_SET(PATH) eq 0 then file=dialog_pickfile(TITLE="Select input file to read",PATH=path,/MUST_EXIST, /READ, FILTER="*GEO*.DAT") else file=dialog_pickfile (PATH =path,filter ='*GEO*.DAT',GET_PATH =path)
path=File_dirname(file)+PATH_SEP()
file=File_basename(file)


;---------------------------------------------------------

home = home+PATH_SEP()


;Map
!p.background=0
!p.color=255
!p.font=1


DEVICE, SET_FONT='Helvetica', /TT_FONT, SET_CHARACTER_SIZE=[28/4,36/4]


map=intarr(1440, 720)
openr, lun, home+'ieg025t.img', /get_lun, /swap_if_little_endian
readu, lun, map
close, lun
free_lun, lun


window, 0, xsize=1900/2, ysize=1000/2
map_set, 0, 0, /cyl
map_dummy=intarr(1440, 720)
map_dummy(0:(1440/2)-1,*)=map((1440/2):1440-1,*)
map_dummy(1440/2:1440-1,*)=map(0:(1440/2)-1,*)
map=map_dummy
topo=reverse(map, 2)


warp_topo=map_image(topo, x_warp_topo, y_warp_topo, compress=1, /bilinear)
tvscl, warp_topo, x_warp_topo, y_warp_topo
map_set, 0, 0, /cyl, /noerase , title='PFS Ground Track'
map_grid, /label, color=255, latdel=30, londel=30

;------------------------------------------------------------

FILE_NAME = strmid(file_basename(file),0,strlen(file_basename(file))-4)


LBL_FILE = path+FILE_NAME+'.LBL'

elements = read_pfs_label(LBL_FILE,'ROWS')

print,'elements : ',elements

;---------------------

DAT_FILE = path+FILE_NAME+'.DAT'

geo_struc= read_pfs_geometry(DAT_FILE,elements)

;---------------------

oplot,geo_struc.LONGITUDE,geo_struc.LATITUDE,col=0,Psym=4

DEVICE, DECOMPOSED=decomposed_state
TVLCT, R1, G1, B1

stop

end